diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
new file mode 100644
index 0000000000000000000000000000000000000000..865d2abc199e34c96c12c734d7ae2874961fcecc
--- /dev/null
+++ b/.gitlab-ci.yml
@@ -0,0 +1,11 @@
+image: rootproject/root-ubuntu16:6.10
+
+
+stages:
+    - build
+
+    
+job1:
+    stage: build
+    script:
+        - ./install.sh build
diff --git a/GTest/IsotopicVector/test_iv.inl b/GTest/IsotopicVector/test_iv.inl
index 8083e5bbdc67eebd46cc33c03f0e2fe035bc1b28..b6d282439960256f12eb6992dd2a4a67585e6744 100644
--- a/GTest/IsotopicVector/test_iv.inl
+++ b/GTest/IsotopicVector/test_iv.inl
@@ -8,10 +8,10 @@
 #include "EQ_OneParameter.hxx"	//Load the include for Neural Network Equivalence Model (PWRMOX)
 
 TEST ( IV, GetSize ) {
-	const int n=10;
+	int n=10;
 
 	// génération des données
-	IsotopicVector iv;
+	IsotopicVector iv = IsotopicVector();
 	for ( unsigned int i = 0 ; i < n ; ++i )
 	{
 		ZAI z(i,i+1,i+2);
diff --git a/GTest/main_test.cxx b/GTest/main_test.cxx
index d3765af014ce029db2e9b2eed6dacf76df1eda2d..8fd570d68ad33f406a0e743876386d0bfb3a87da 100644
--- a/GTest/main_test.cxx
+++ b/GTest/main_test.cxx
@@ -4,7 +4,7 @@
 #include "Fleet/test_PWR_UOX_MOX.inl"
 
 int main(int argc,char * argv[]) {
-	::testing::InitGoogleTest(&argc,argv);
+	testing::InitGoogleTest(&argc,argv);
 	return RUN_ALL_TESTS();
 }
 
diff --git a/install.sh b/install.sh
index cc2fef5e6e3e13e1cfa29fd0cc8d2045829e5689..fc075f371f9a769496662a153326382613ff57a2 100755
--- a/install.sh
+++ b/install.sh
@@ -105,8 +105,7 @@ done
 
 # Test is gtest is already there or if we have an internet connection
 if [ "${GTEST}" = true ]; then
-    echo -e "GET http://google.com HTTP/1.0\n\n" | nc google.com 80 > /dev/null 2>&1
-    if [ ! $? -eq 0 ] && [ ! -d "bld/GTest/gtest/src/gtest" ]; then
+    if ! ping -c 1 google.com >> /dev/null 2>&1; then
         echo "An internet connection is required to compile the test"
         exit 1
     fi